# Cookie API

The Cookie API serves as a simple experimentation application for testing concepts in the APIStar platform. It is intended to help drive the design of the APIStar framework, uncover new design patterns, and apply best practices in application development.

## Features include:

* CRUD Interface for a simple domain problem
* JWT Authentication
* Custom JSON responses
* Automated Testing
* Logging

## Features not yet implemented:

* Template rendering for a Vuejs SPA client (not yet implemented)
* Email Confirmation
* Password Reset
* Authorization model for user
* Rate Limiting
* Automated deployment
* JSON API Responses
* Multipart file uploads
* Server Side Rendering of Vuejs Client
* Async Task Workers
* Error monitoring through Sentry


# Testing

```python
pip install -e .[testing]
pytest
```