from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

with open('requirements.txt') as requirements_file:
    requirements = requirements_file.read()

test_requirements = [
    'pytest',
    'pytest-cov',
    'tox'
]

setup(
    name='cookie-api',
    version='0.1.0',
    description='The Cookie API serves as a simple experimentation application for testing concepts in the APIStar '
                'platform.',
    long_description=readme,
    author="Drew Bednar",
    author_email='drew@androiddrew.com',
    url='https://git.androiddrew.com/androiddrew/cookie-api',
    packages=find_packages(include=['cookie_api']),
    include_package_data=True,
    install_requires=requirements,
    license='MIT',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    extras_require={
        'testing': test_requirements,
    }
)
